=== debian/changelog ===
compiz (1:0.9.14.1+20.10.20200427-0ubuntu2) groovy; urgency=medium

  * No-change rebuild against libprotobuf22

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 May 2020 21:27:25 +0000
